Summary:       X.Org X11 sample authorization protocol library
Name:          libXau
Version:       1.0.9
Release:       3%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf automake libtool pkgconfig make
BuildRequires: xorg-x11-util-macros xorg-x11-proto-devel

%description
This package provides the main interface to the X11 authorisation handling,
which controls authorisation for X connections, both client-side and server-side.

%package devel
Summary:       X.Org X11 sample authorization protocol development package
BuildRequires: xorg-x11-proto-devel
Requires:      %{name} = %{version}-%{release}
Requires:      xorg-x11-proto-devel
Requires:      pkgconfig

%description devel
This package includes header files, libraries necessary for
developing programs which use libXau library.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}/
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%files
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/libXau.so.6
%{_libdir}/libXau.so.6.0.0

%files devel
%{_includedir}/X11/Xauth.h
%{_libdir}/libXau.so
%{_libdir}/pkgconfig/xau.pc
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 ZoeDong <zoedong@tencent.com> - 1.0.9-1
- Initial build

